import { defineComponent as r, createVNode as e } from "vue";
import "../../../config-provider/index.mjs";
import { ApLadderSimpleModeProps as l } from "../constans.mjs";
import { isVNodeOrFunction as n } from "../utils.mjs";
import { useNamespace as s } from "../../../config-provider/hooks/use-namespace.mjs";
const v = /* @__PURE__ */ r({
  name: "ApLadderSimpleMode",
  props: l(),
  setup(a, {
    slots: o
  }) {
    const {
      b: i,
      e: m,
      m: t
    } = s("ap-ladder");
    return () => e("div", {
      class: [i("simple-mode")]
    }, [a.layout === "vertical" ? e("div", {
      class: [i("base"), t("vertical")]
    }, [e("span", {
      class: [m("major")],
      title: a.major
    }, [a.major]), n(a.minor) ? e("span", {
      class: [m("minor")]
    }, [a.minor]) : e("span", {
      class: [m("minor")],
      title: a.major
    }, [a.minor])]) : e("div", {
      class: [i("base"), t("horizontal")]
    }, [e("span", {
      class: [m("major")],
      title: a.major
    }, [a.major]), e("span", {
      class: [m("minor")],
      title: a.major
    }, [a.minor])]), o.title && o.title()]);
  }
});
export {
  v as default
};
